nxt.lightcontracts

## Class ContractReference

- java.lang.Object
- - nxt.lightcontracts.ContractReference

-     public final class ContractReference
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContractReference.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<ContractReference> listener, ContractReference.Event eventType)`
    `long` | `getAccountId()`
    `ChainTransactionId` | `getContractId()`
    `java.lang.String` | `getContractName()`
    `java.lang.String` | `getContractParams()`
    `static ContractReference` | `getContractReference(long id)`
    `static ContractReference` | `getContractReference(long accountId, java.lang.String contractName)`
    `static DbIterator<ContractReference>` | `getContractReferences(long accountId, java.lang.String contractName, int from, int to)`
    `long` | `getId()`
    `static void` | `init()`
    `static boolean` | `removeListener(Listener<ContractReference> listener, ContractReference.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addListener

          public static boolean addListener(Listener<ContractReference> listener,
                                            ContractReference.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<ContractReference> listener,
                                               ContractReference.Event eventType)

    - #### getContractReference

          public static ContractReference getContractReference(long id)

    - #### getContractReference

          public static ContractReference getContractReference(long accountId,
                                                               java.lang.String contractName)

    - #### getContractReferences

          public static DbIterator<ContractReference> getContractReferences(long accountId,
                                                                            java.lang.String contractName,
                                                                            int from,
                                                                            int to)

    - #### init

          public static void init()

    - #### getId

          public long getId()

    - #### getAccountId

          public long getAccountId()

    - #### getContractName

          public java.lang.String getContractName()

    - #### getContractParams

          public java.lang.String getContractParams()

    - #### getContractId

          public ChainTransactionId getContractId()